public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/secretstorage/
Date: Mon, 20 Apr 2020 15:13:53 +0000 (UTC)	[thread overview]
Message-ID: <1587395620.b139be1d004465b3aae3de488251787fb73d217d.sping@gentoo> (raw)

commit:     b139be1d004465b3aae3de488251787fb73d217d
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 20 15:11:15 2020 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Mon Apr 20 15:13:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b139be1d

dev-python/secretstorage: 3.1.2 + QA

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.99, Repoman-2.3.22

 dev-python/secretstorage/Manifest                  |  1 +
 .../secretstorage/secretstorage-3.1.2.ebuild       | 34 ++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-python/secretstorage/Manifest b/dev-python/secretstorage/Manifest
index 2dc629297e5..b97541e4e07 100644
--- a/dev-python/secretstorage/Manifest
+++ b/dev-python/secretstorage/Manifest
@@ -1 +1,2 @@
 DIST SecretStorage-3.1.1.tar.gz 17036 BLAKE2B 1dda10a5f74727ec29392ff2a3ec65b841aff86db21223ebdbf291afcc9ac7ee68de8c62e5929aa45aafabc791ac02ed80b6785e69f2d4b51d827fce8bbb3443 SHA512 295e0f75c772edf153480730dc20051f06e60e040a18f169620cb4aaa37b8c1a254a496464d3794a38cf49fa884a7b561fe364816f0d12a5b2622c77259f03cf
+DIST SecretStorage-3.1.2.tar.gz 17848 BLAKE2B 3d108f98fd0c26958860aa65554a21924822a5d51a90ae20c5496792f4571babbdfd2aec5b70d1bdd908498ad1b61606130d5db2900406ae85f8e3367ad3013f SHA512 c132b21556c55b5912354fd27b6062d32c0f510234f7fe57f6e8e0acb08393ad95e0896967b577de97821387cd714e62b657359230296449e4e0a7ae5a797803

diff --git a/dev-python/secretstorage/secretstorage-3.1.2.ebuild b/dev-python/secretstorage/secretstorage-3.1.2.ebuild
new file mode 100644
index 00000000000..9418b7f1277
--- /dev/null
+++ b/dev-python/secretstorage/secretstorage-3.1.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+MY_PN="SecretStorage"
+
+DESCRIPTION="Python bindings to FreeDesktop.org Secret Service API."
+HOMEPAGE="https://github.com/mitya57/secretstorage https://pypi.org/project/SecretStorage/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+	dev-python/cryptography[${PYTHON_USEDEP}]
+	>=dev-python/jeepney-0.4.2[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx docs \
+	dev-python/alabaster
+
+python_test() {
+	dbus-run-session "${EPYTHON}" -m unittest discover -v -s tests \
+		|| die "tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2020-04-20 15:13 UTC|newest]

Thread overview: 71+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-20 15:13 Sebastian Pipping [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-20  9:50 [gentoo-commits] repo/gentoo:master commit in: dev-python/secretstorage/ Petr Vaněk
2023-08-23 23:37 Marek Szuba
2023-07-27  5:11 WANG Xuerui
2023-03-25 17:19 Michał Górny
2022-10-09  7:47 Michał Górny
2022-09-20  5:57 Michał Górny
2022-09-19 20:10 Jakov Smolić
2022-08-13 20:09 Arthur Zamarin
2022-07-04  6:57 Michał Górny
2022-05-27 19:50 Michał Górny
2022-05-27  9:12 Jakov Smolić
2022-05-20 18:01 Andrew Ammerlaan
2022-05-02 19:38 Arthur Zamarin
2022-04-26  3:14 Sam James
2022-04-26  3:03 Sam James
2022-04-25 16:50 Sam James
2022-04-20  7:47 Michał Górny
2021-11-28 14:42 Michał Górny
2021-06-29  5:53 Yixun Lan
2021-06-02 16:12 Michał Górny
2021-03-15  8:52 Michał Górny
2021-03-15  2:28 Sam James
2021-02-19 21:47 Michał Górny
2021-02-19 21:37 Sergei Trofimovich
2021-02-09 13:13 Michał Górny
2021-01-24 12:10 Agostino Sarubbo
2021-01-21  7:40 Agostino Sarubbo
2020-12-27 12:51 Sergei Trofimovich
2020-12-27 12:32 Sergei Trofimovich
2020-12-27 12:28 Sergei Trofimovich
2020-12-27  5:49 Sam James
2020-12-27  0:54 Sam James
2020-12-25  1:07 Matt Turner
2020-12-18 10:12 Sergei Trofimovich
2020-12-16 21:24 Sergei Trofimovich
2020-12-16 20:35 Michał Górny
2020-12-16 19:50 Sam James
2020-11-25  8:37 Michał Górny
2020-11-07 21:25 Michał Górny
2020-09-06 17:35 Sam James
2020-08-01  8:53 Sergei Trofimovich
2020-07-28 17:28 Sergei Trofimovich
2020-07-25 14:08 Sam James
2020-07-16 19:34 Sam James
2020-07-11  8:39 Michał Górny
2020-07-11  8:39 Michał Górny
2020-06-06  8:18 Agostino Sarubbo
2020-06-01 17:02 Sergei Trofimovich
2020-05-31 10:04 Sergei Trofimovich
2020-05-30 14:37 Michał Górny
2020-05-30 11:51 Michał Górny
2020-05-29 15:43 Michał Górny
2020-05-29 15:38 Michał Górny
2020-05-27  6:11 Michał Górny
2020-05-19  7:12 Michał Górny
2020-05-17  6:25 Michał Górny
2020-05-03 10:01 Agostino Sarubbo
2020-03-17  2:09 Matt Turner
2020-02-06  5:59 Michał Górny
2019-12-04 20:05 Patrick McLean
2019-05-15 16:07 Sebastian Pipping
2019-04-10 22:44 Matthew Thode
2019-03-23 19:58 Matthew Thode
2018-09-07 22:36 Louis Sautier
2018-09-05 13:30 Louis Sautier
2017-09-30  0:31 Matt Thode
2017-03-21 16:35 Matt Thode
2016-11-20  2:28 Matt Thode
2016-11-15 20:31 Matt Thode
2016-11-15 19:59 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1587395620.b139be1d004465b3aae3de488251787fb73d217d.sping@gentoo \
    --to=sping@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox